Subject: Re: Another question about importing SVN with fast-import

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 6 Aug 2007 21:08:50 -0400

Julian Phillips <[email-masked]> wrote:
> On Mon, 16 Jul 2007, Shawn O. Pearce wrote:
> 
> >Julian Phillips <[email-masked]> wrote:
> >>However, how do you copy a file from a
> >>particular revision?
> >
> >and sometimes not so much.  You can't do that right now.  I've wanted
> >to open up the data subcommand to allow another form that lets you
> >specify data from a branch and file path (thus selecting a blob
> >from another revision) but I haven't gotten around to it.  I also
> >don't have time to do it during the earlier part of this week.
> >Maybe I'll get to it later near the end of the week.
> 
> I was wondering if this was still a vague todo item, or if it was being 
> worked on?  It really is the biggest thing blocking my import at the 
> moment and I'm willing to have a bash at it myself, but I didn't want to 
> start messing around inside the fast-import code if someone else was 
> already there ...

No, its not vague.  I'm still working on it.  Actually its on
my to-do list for tonight, and if I don't finish it tonight then
Thursday.
 
-- 
Shawn.